LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06977Bug reports[All Projects] Authenticationpublic2012-11-28 21:292012-12-04 13:16
Reporterdaddel 
Assigned Toc_schmitz 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06977: SURVEYURL is not correct
DescriptionSURVEYURL which will be send by registration mail is not correct. The following error will pop-up.

"Page Not Found

Unable to resolve the request "22258/lang-de-informal/tk-rtmsqfeyj7h36ng".

The requested URL was not found on this server. If you entered the URL manually please check your spelling and try again.

If you think this is a server error, please contact the webmaster."
Steps To Reproducesend a registration mail
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121121
BrowserChrome 23
Database & DB-VersionMySQL 5.0.96
Operating System (Server)Ubuntu
Webserver software & versionApache 2,0
PHP VersionPHP 5
Attached Files

- Relationships

-  Notes
User avatar (22660)
c_schmitz (administrator)
2012-11-28 23:19

What's the complete URL from the survey link in the email?
User avatar (22661)
daddel (reporter)
2012-11-28 23:21

http://www.domain.com/umfrage/index.php/22258/lang-de-informal/tk-rtmsqfeyj7h36ng [^]
User avatar (22665)
c_schmitz (administrator)
2012-11-29 01:39
edited on: 2012-11-29 01:39

Please check out the patch below and let us know if that fixes your problem.

User avatar (22666)
daddel (reporter)
2012-11-29 08:52

I changed routes.php But it still produces a path like this http://forum.nas-portal.org/umfrage/index.php/22258/lang-de-informal/tk-rtmsqfeyj7h36ng [^]

It doesn't work.
User avatar (22668)
c_schmitz (administrator)
2012-11-29 09:49

Yes, the produced path should not change.
But if you click that link it should work now.
User avatar (22669)
daddel (reporter)
2012-11-29 09:53

Yes it works. Before i just had a brief look in the case.
User avatar (22869)
c_schmitz (administrator)
2012-12-04 13:16

LimeSurvey 2.0+ build 121204 released.

- Related Changesets
LimeSurvey: master 9d455a25
Timestamp: 2012-11-29 00:32:14
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue: Invitation URL not working properly when language code contains a hyphen
mod - application/config/routes.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-28 21:29 daddel New Issue
2012-11-28 23:19 c_schmitz Note Added: 22660
2012-11-28 23:19 c_schmitz Assigned To => c_schmitz
2012-11-28 23:19 c_schmitz Status new => feedback
2012-11-28 23:21 daddel Note Added: 22661
2012-11-28 23:21 daddel Status feedback => assigned
2012-11-29 01:39 c_schmitz Changeset attached => LimeSurvey master 9d455a25
2012-11-29 01:39 c_schmitz Note Added: 22665
2012-11-29 01:39 c_schmitz Status assigned => feedback
2012-11-29 01:39 c_schmitz Note Edited: 22665 View Revisions
2012-11-29 08:52 daddel Note Added: 22666
2012-11-29 08:52 daddel Status feedback => assigned
2012-11-29 09:49 c_schmitz Note Added: 22668
2012-11-29 09:53 daddel Note Added: 22669
2012-11-29 11:45 c_schmitz Status assigned => resolved
2012-11-29 11:45 c_schmitz Fixed in Version => 2.00+
2012-11-29 11:45 c_schmitz Resolution open => fixed
2012-12-04 13:16 c_schmitz Note Added: 22869
2012-12-04 13:16 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker